Name:           python-edc-reportable
Version:        2.0.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Reportable clinic events, reference ranges, grading for clinicedc/edc projects

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/clinicedc/edc-reportable
Source:         %{pypi_source edc_reportable}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'edc-reportable' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-edc-reportable
Summary:        %{summary}

%description -n python3-edc-reportable %_description


%prep
%autosetup -p1 -n edc_reportable-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-edc-reportable -f %{pyproject_files}


%changelog
%autochangelog